from config import app, mongo
from bson.json_util import dumps
from bson.objectid import ObjectId


@app.route('/themes/', methods=['GET'])
def get_themes():
  themes = mongo.db.themes.find()
  resp = dumps(themes)
  return resp

@app.route('/creations/', methods=['GET'])
def get_creations():
  creations = mongo.db.creations.find()
  resp = dumps(creations)
  return resp

@app.route('/creations/<id>/', methods=['GET'])
def get_creation(id):
  creation = mongo.db.creations.find_one({"_id": ObjectId(id)})
  resp = dumps(creation)
  return resp

@app.route('/about/<lang>/', methods=['GET'])
def get_about(lang):
  about = mongo.db.find_one({"lang": lang})
  resp = dumps(about)
  return resp

if __name__ == "__main__":
  app.run()
